Subject: Re: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Mauro Aranda <[email-masked]>
Date: Thu, 04 Mar 2021 19:06:57 -0300

Protesilaos Stavrou <[email-masked]> writes:

> On 2021-03-04, 13:53 -0300, Mauro Aranda <[email-masked]> wrote:
>
>>> ;;;###autoload
>>> (when (and (boundp 'custom-theme-load-path) load-file-name)
>>>   (add-to-list 'custom-theme-load-path
>>>                (file-name-as-directory (file-name-directory load-file-name))))
>>
>> A nit: I think this code should avoid adding the value of
>> custom-theme-directory or the built-in theme directory name to
>> custom-theme-load-path , if `custom-theme-directory' (for the former) or
>> t (for the latter) are already present in custom-theme-load-path.  In
>> particular, a theme distributed with Emacs should at least check for t,
>> to avoid a repeated entry.
>>
>> I've noticed that the leuven theme has a similar code as well: I think
>> that is a (really minor) bug.
>
> I have removed that form altogether.  It makes sense for packages but
> here they are safe themes.  Is that okay, or have I misunderstood
> something?

Sounds OK to me; for themes that are only distributed with Emacs, it
doesn't seem to be needed.  But if you plan to keep distributing them as
packages via ELPA, then it might make sense to keep it.  I don't know
what's the plan, so I can't say for sure if the form should stay or not.

> Thanks again!

Thanks to you!